Ticket #2787 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

admin: 各メンバー毎のメール受信停止機能

Reported by: pnetan Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.13.2
Component: 指定しない Version:
Keywords: 2.13要望 Cc:

Description (Last modified by kudo)

■概要

管理画面から各メンバーのメール配信設定を強制的に「受信しない」に切り替えて、メール受信を停止させる機能。

■仕様

管理画面メンバーリスト(admin_page_list_c_member)の操作パネルに「メール受信の停止」のボタンを追加。ボタンを押下すると該当するメンバーのメール配信設定を強制的に切り替えることができる。切り替えの内容は以下。

メンバーの設定

デイリー・ニュース
受け取らない
メール受信設定(PC)
受け取らない
メール受信設定(携帯)
受け取らない

メンバーの参加コミュニティの設定

コミュニティ書き込みをPCメールで
受け取らない
コミュニティ書き込みを携帯メールで
受け取らない
管理者からのメッセージを
受け取らない

日記コメントメール受信設定

日記コメントメール受信設定
受け取らない

スケジュール通知メール受信設定

スケジュール通知メール受信設定
受け取らない

ボタンを押下するとメンバーのすべてのメール配信設定を無効にしてしまうため、元の設定に戻すには、メンバー側で再設定をおこなう必要がある。

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=17800 より転記

メール転送のトラブルか、デイリーメールのエラーメールが複数届きます。

エラーの原因を追求するのが本筋ですが、連絡のつかないメンバーも居たりなんかして。

強制退会させればいいんですが、退会まではさせたくないので管理者レベルで会員個別にデイリーメールの配信を停止させたいのですが。

Attachments

patch_ticket2787_by_oki.tar.gz (2.7 kB) - added by tsukamoto on 07/09/08 22:39:06.
OpenPNE 2.12.1(安定版)用差分

Change History

07/09/08 22:38:31 changed by tsukamoto

OKICrossbaで実装した機能に、管理画面のメンバーリストに以下を停止するためのボタンの追加があります。

  • メール/携帯メール/Daily News受信設定
  • コミュニティ管理者からのメッセージ/書込のメッセージ受信設定

上記機能について、OpenPNE 2.12.1からの差分の形で提供します。

07/09/08 22:39:06 changed by tsukamoto

  • attachment patch_ticket2787_by_oki.tar.gz added.

OpenPNE 2.12.1(安定版)用差分

07/17/08 12:50:06 changed by kiwa

  • milestone set to OpenPNE2.13.2.

2.13.2で検討してみてはどうでしょう?

08/14/08 14:37:34 changed by ebihara

是非 2.13.2 で取り込ませていただきたいです。ありがとうございます!

(follow-up: ↓ 7 ) 08/29/08 15:00:46 changed by kiwa

  • description changed.
  • summary changed from デイリーメールの配信を管理者レベルで制御したい to admin: 各メンバー毎のメール配信停止機能.

さらっと動かしてdescriptionに仕様をまとめてみました。動作上致命的な問題があるわけではなさそうなので、今回はこのままtrunkに取り込みたいと思います。以下は仕様確認中に気になった部分です。

日記コメントメール受信設定が変更されない

携帯版の「日記コメントメール受信設定」が変更されません。これも「受け取らない」に変更するべきではないでしょうか。

メール受信停止の解除ができないように見える

仕様を知らずに「メール受信の停止」を押してしまうと、その後「メール受信停止の解除」のボタンが出てこなくて「あれ?変更できないの?」と勘違いしそうです。なので、何らかの形で「メンバー側からの設定変更で解除することができる」というのを伝える必要があると思います。

PCのみ・携帯のみの設定ができない

「PCのメアドは使えるけど携帯は使えない」など、片方はメールが機能していて片方は機能していないというケースもあると思います。そのような場合を考えると、どちらか一方のみメール受信の停止をするという機能もあると良いと思うのですが、どうでしょう。

08/29/08 15:08:10 changed by kiwa

  • description changed.
  • summary changed from admin: 各メンバー毎のメール配信停止機能 to admin: 各メンバー毎のメール受信停止機能.

08/29/08 15:10:33 changed by kiwa

  • keywords changed from 2.13要望 to 2.13要望 確認中.

trunkにマージしました。

(in reply to: ↑ 4 ) 09/04/08 15:33:23 changed by ebihara

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

comment:4 の指摘はもっともだと思います。


日記コメントメール受信設定が変更されない

については、このチケットで対応の必要があります。


メール受信停止の解除ができないように見える

PCのみ・携帯のみの設定ができない

については、別チケットで対応ですかね。1ページ挟んで詳細な変更をおこなえるようにするなどの実現方法でしょうか。

09/04/08 18:18:43 changed by ebihara

r8199 で日記コメントメール受信設定とスケジュール通知メール受信設定を考慮するように修正しました。

また、Docblock コメントの変更や、 if 構文中で使われる式は評価する際に結果を bool 型へ変換するので、キャストによる明示的な型変換は不要であり冗長なので削除するなどといった細かい修正もあわせておこなっています。

参考:http://jp2.php.net/manual/ja/control-structures.if.php

式のセクションで 記述したように式は論理値で評価されます。 式が TRUE と評価された場合、 PHP は文を実行します。FALSE  と評価された場合は、これを無視します。どのような値が FALSE と評価されるかについては論理値への変換  を参照してください。 

09/04/08 18:19:06 changed by ebihara

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

09/08/08 20:48:56 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

(follow-up: ↓ 13 ) 09/08/08 21:17:12 changed by ogawa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

管理アカウントの権限設定を考慮してください。

09/08/08 21:19:21 changed by ogawa

もう一点、Descriptionの「仕様」に一度停止をすると元のメール受信設定には戻せないことを明記した方がよいと思います。

(in reply to: ↑ 11 ; follow-up: ↓ 14 ) 09/08/08 23:45:00 changed by ebihara

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.
  • description changed.

Replying to ogawa:

管理アカウントの権限設定を考慮してください。

このアクションは「メンバー管理」に含まれるため、現在の実装で問題ないのではないかと考えます。

Descriptionの「仕様」に一度停止をすると元のメール受信設定には戻せないことを明記した方がよいと思います。

Description を書き換えました。

(in reply to: ↑ 13 ) 09/08/08 23:53:04 changed by ogawa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

Replying to ebihara:

管理アカウントの権限については了解です。設定が必要な2権限ともにホワイトリストに入れる必要がないということですね。

Descriptionで、日記コメントメール受信設定とスケジュール通知メール受信設定についての記載がないので追加してください。

09/09/08 00:19:28 changed by ebihara

  • description changed.

09/09/08 00:20:50 changed by ebihara

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

スケジュール通知メール受信設定に関しては表記が正確ではありませんが、 Description に日記コメント受信設定とスケジュール通知メール受信設定について追記をおこないました。

09/09/08 00:27:33 changed by ogawa

  • keywords changed from 2.13要望 確認中 to 2.13要望 テスト待ち.

09/09/08 02:01:38 changed by kiwa

  • keywords changed from 2.13要望 テスト待ち to 2.13要望.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。問題ありません。

05/25/09 16:37:23 changed by kudo

  • description changed.